SdFat: ArduinoOutStream Class Reference

SdFat

Public Types | Public Member Functions | Static Public Attributes | List of all members
ArduinoOutStream Class Reference

Output stream for Arduino Print objects. More...

`#include <ArduinoStream.h>`

Inheritance diagram for ArduinoOutStream:
[legend]
Collaboration diagram for ArduinoOutStream:
[legend]

## Public Types
typedef unsigned int | fmtflags
typedef unsigned char | iostate
typedef int64_t | off_type
typedef uint8_t | openmode
typedef uint64_t | pos_type
enum | seekdir { beg, cur, end }
typedef uint64_t | streamsize

## Public Member Functions
| ArduinoOutStream (Print &pr)
bool | bad () const
void | clear (iostate state=goodbit)
bool | eof () const
bool | fail () const
char | fill ()
char | fill (char c)
fmtflags | flags () const
fmtflags | flags (fmtflags fl)
ostream & | flush ()
bool | good () const
| operator bool () const
| operator const void * () const
bool | operator! () const
ostream & | operator<< (bool arg)
ostream & | operator<< (char arg)
ostream & | operator<< (const __FlashStringHelper *arg)
ostream & | operator<< (const char *arg)
ostream & | operator<< (const signed char *arg)
ostream & | operator<< (const unsigned char *arg)
ostream & | operator<< (const void *arg)
ostream & | operator<< (double arg)
ostream & | operator<< (float arg)
ostream & | operator<< (int arg)
ostream & | operator<< (ios_base &(*pf)(ios_base &str))
ostream & | operator<< (long arg)
ostream & | operator<< (long long arg)
ostream & | operator<< (ostream &(*pf)(ostream &str))
ostream & | operator<< (short arg)
ostream & | operator<< (signed char arg)
ostream & | operator<< (unsigned char arg)
ostream & | operator<< (unsigned int arg)
ostream & | operator<< (unsigned long arg)
ostream & | operator<< (unsigned long long arg)
ostream & | operator<< (unsigned short arg)
int | precision () const
int | precision (unsigned int n)
ostream & | put (char ch)
iostate | rdstate () const
ostream & | seekp (off_type off, seekdir way)
ostream & | seekp (pos_type pos)
fmtflags | setf (fmtflags fl)
fmtflags | setf (fmtflags fl, fmtflags mask)
void | setstate (iostate state)
pos_type | tellp ()
void | unsetf (fmtflags fl)
unsigned | width ()
unsigned | width (unsigned n)

## Static Public Attributes
static const fmtflags | adjustfield = left | right | internal
static const openmode | app = 0X4
static const openmode | ate = 0X8
static const iostate | badbit = 0X01
static const fmtflags | basefield = dec | hex | oct
static const openmode | binary = 0X10
static const fmtflags | boolalpha = 0x0100
static const fmtflags | dec = 0x0008
static const iostate | eofbit = 0x02
static const iostate | failbit = 0X04
static const iostate | goodbit = 0x00
static const fmtflags | hex = 0x0010
static const openmode | in = 0X20
static const fmtflags | internal = 0x0004
static const fmtflags | left = 0x0001
static const fmtflags | oct = 0x0020
static const openmode | out = 0X40
static const fmtflags | right = 0x0002
static const fmtflags | showbase = 0x0200
static const fmtflags | showpoint = 0x0400
static const fmtflags | showpos = 0x0800
static const fmtflags | skipws = 0x1000
static const openmode | trunc = 0X80
static const fmtflags | uppercase = 0x4000

## Detailed Description

Output stream for Arduino Print objects.

## Member Typedef Documentation

## ◆ fmtflags

typedef unsigned int ios_base::fmtflags
| inherited

type for format flags

## ◆ iostate

typedef unsigned char ios_base::iostate
| inherited

typedef for iostate bitmask

## ◆ off_type

typedef int64_t ios_base::off_type
| inherited

type for relative seek offset

## ◆ openmode

typedef uint8_t ios_base::openmode
| inherited

typedef for iostream open mode

## ◆ pos_type

typedef uint64_t ios_base::pos_type
| inherited

type for absolute seek position

## ◆ streamsize

typedef uint64_t ios_base::streamsize
| inherited

unsigned size that can represent maximum file size. (violates spec - should be signed)

## Member Enumeration Documentation

## ◆ seekdir

enum ios_base::seekdir
| inherited

enumerated type for the direction of relative seeks

Enumerator
beg | seek relative to the beginning of the stream
cur | seek relative to the current stream position
end | seek relative to the end of the stream

## Constructor & Destructor Documentation

## ◆ ArduinoOutStream()

ArduinoOutStream::ArduinoOutStream | ( | Print & | pr | ) |
| inlineexplicit

constructor

Parameters

  [in] | pr | Print object for this ArduinoOutStream.

## Member Function Documentation

## ◆ bad()

bool ios::bad | ( |  | ) | const
| inlineinherited

Returns
  true if bad bit is set else false.

## ◆ clear()

void ios::clear | ( | iostate | state = `goodbit` | ) |
| inlineinherited

Clear iostate bits.

Parameters

  [in] | state | The flags you want to set after clearing all flags.

## ◆ eof()

bool ios::eof | ( |  | ) | const
| inlineinherited

Returns
  true if end of file has been reached else false.

Warning: An empty file returns false before the first read.

Moral: eof() is only useful in combination with fail(), to find out whether EOF was the cause for failure

## ◆ fail()

bool ios::fail | ( |  | ) | const
| inlineinherited

Returns
  true if any iostate bit other than eof are set else false.

## ◆ fill() [1/2]

char ios_base::fill | ( |  | ) |
| inlineinherited

Returns
  fill character

## ◆ fill() [2/2]

char ios_base::fill | ( | char | c | ) |
| inlineinherited

Set fill character

Parameters

  [in] | c | new fill character

Returns
  old fill character

## ◆ flags() [1/2]

fmtflags ios_base::flags | ( |  | ) | const
| inlineinherited

Returns
  format flags

## ◆ flags() [2/2]

fmtflags ios_base::flags | ( | fmtflags | fl | ) |
| inlineinherited

set format flags

Parameters

  [in] | fl | new flag

Returns
  old flags

## ◆ flush()

ostream& ostream::flush | ( |  | ) |
| inlineinherited

Flushes the buffer associated with this stream. The flush function calls the sync function of the associated file.

Returns
  A reference to the ostream object.

## ◆ good()

bool ios::good | ( |  | ) | const
| inlineinherited

Returns
  True if no iostate flags are set else false.

## ◆ operator bool()

ios::operator bool | ( |  | ) | const
| inlineexplicitinherited

Returns
  false if fail() else true.

## ◆ operator const void *()

ios::operator const void * | ( |  | ) | const
| inlineinherited

Returns
  null pointer if fail() is true.

## ◆ operator!()

bool ios::operator! | ( |  | ) | const
| inlineinherited

Returns
  true if fail() else false.

## ◆ operator<<() [1/21]

ostream& ostream::operator<< | ( | bool | arg | ) |
| inlineinherited

Output bool

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [2/21]

ostream& ostream::operator<< | ( | char | arg | ) |
| inlineinherited

Output character

Parameters

  [in] | arg | character to output

Returns
  the stream

## ◆ operator<<() [3/21]

ostream& ostream::operator<< | ( | const __FlashStringHelper * | arg | ) |
| inlineinherited

Output a string from flash using the Arduino F() macro.

Parameters

  [in] | arg | pointing to flash string

Returns
  the stream

## ◆ operator<<() [4/21]

ostream& ostream::operator<< | ( | const char * | arg | ) |
| inlineinherited

Output string

Parameters

  [in] | arg | string to output

Returns
  the stream

## ◆ operator<<() [5/21]

ostream& ostream::operator<< | ( | const signed char * | arg | ) |
| inlineinherited

Output string

Parameters

  [in] | arg | string to output

Returns
  the stream

## ◆ operator<<() [6/21]

ostream& ostream::operator<< | ( | const unsigned char * | arg | ) |
| inlineinherited

Output string

Parameters

  [in] | arg | string to output

Returns
  the stream

## ◆ operator<<() [7/21]

ostream& ostream::operator<< | ( | const void * | arg | ) |
| inlineinherited

Output pointer

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [8/21]

ostream& ostream::operator<< | ( | double | arg | ) |
| inlineinherited

Output double

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [9/21]

ostream& ostream::operator<< | ( | float | arg | ) |
| inlineinherited

Output float

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [10/21]

ostream& ostream::operator<< | ( | int | arg | ) |
| inlineinherited

Output signed int

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [11/21]

ostream& ostream::operator<< | ( | ios_base &(*)(ios_base &str) | pf | ) |
| inlineinherited

call manipulator

Parameters

  [in] | pf | function to call

Returns
  the stream

## ◆ operator<<() [12/21]

ostream& ostream::operator<< | ( | long | arg | ) |
| inlineinherited

Output signed long

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [13/21]

ostream& ostream::operator<< | ( | long long | arg | ) |
| inlineinherited

Output signed long long

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [14/21]

ostream& ostream::operator<< | ( | ostream &(*)(ostream &str) | pf | ) |
| inlineinherited

call manipulator

Parameters

  [in] | pf | function to call

Returns
  the stream

## ◆ operator<<() [15/21]

ostream& ostream::operator<< | ( | short | arg | ) |
| inlineinherited

Output signed short

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [16/21]

ostream& ostream::operator<< | ( | signed char | arg | ) |
| inlineinherited

Output character

Parameters

  [in] | arg | character to output

Returns
  the stream

## ◆ operator<<() [17/21]

ostream& ostream::operator<< | ( | unsigned char | arg | ) |
| inlineinherited

Output character

Parameters

  [in] | arg | character to output

Returns
  the stream

## ◆ operator<<() [18/21]

ostream& ostream::operator<< | ( | unsigned int | arg | ) |
| inlineinherited

Output unsigned int

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [19/21]

ostream& ostream::operator<< | ( | unsigned long | arg | ) |
| inlineinherited

Output unsigned long

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [20/21]

ostream& ostream::operator<< | ( | unsigned long long | arg | ) |
| inlineinherited

Output unsigned long long

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ operator<<() [21/21]

ostream& ostream::operator<< | ( | unsigned short | arg | ) |
| inlineinherited

Output unsigned short

Parameters

  [in] | arg | value to output

Returns
  the stream

## ◆ precision() [1/2]

int ios_base::precision | ( |  | ) | const
| inlineinherited

Returns
  precision

## ◆ precision() [2/2]

int ios_base::precision | ( | unsigned int | n | ) |
| inlineinherited

set precision

Parameters

  [in] | n | new precision

Returns
  old precision

## ◆ put()

ostream& ostream::put | ( | char | ch | ) |
| inlineinherited

Puts a character in a stream.

The unformatted output function inserts the element ch. It returns *this.

Parameters

  [in] | ch | The character

Returns
  A reference to the ostream object.

## ◆ rdstate()

iostate ios::rdstate | ( |  | ) | const
| inlineinherited

Returns
  The iostate flags for this file.

## ◆ seekp() [1/2]

ostream& ostream::seekp | ( | off_type | off,
|  | seekdir | way
| ) |  |
| inlineinherited

Set the stream position.

Parameters

  [in] | off | An offset to move the write pointer relative to way. off is a signed 32-bit int so the offset is limited to +- 2GB.
  [in] | way | One of ios::beg, ios::cur, or ios::end.

Returns
  Is always *this. Failure is indicated by the state of *this.

## ◆ seekp() [2/2]

ostream& ostream::seekp | ( | pos_type | pos | ) |
| inlineinherited

Set the stream position

Parameters

  [in] | pos | The absolute position in which to move the write pointer.

Returns
  Is always *this. Failure is indicated by the state of *this.

## ◆ setf() [1/2]

fmtflags ios_base::setf | ( | fmtflags | fl | ) |
| inlineinherited

set format flags

Parameters

  [in] | fl | new flags to be or'ed in

Returns
  old flags

## ◆ setf() [2/2]

fmtflags ios_base::setf | ( | fmtflags | fl,
|  | fmtflags | mask
| ) |  |
| inlineinherited

modify format flags

Parameters

  [in] | mask | flags to be removed
  [in] | fl | flags to be set after mask bits have been cleared

Returns
  old flags

## ◆ setstate()

void ios::setstate | ( | iostate | state | ) |
| inlineinherited

Set iostate bits.

Parameters

  [in] | state | Bitts to set.

## ◆ tellp()

pos_type ostream::tellp | ( |  | ) |
| inlineinherited

Returns
  the stream position

## ◆ unsetf()

void ios_base::unsetf | ( | fmtflags | fl | ) |
| inlineinherited

clear format flags

Parameters

  [in] | fl | flags to be cleared

## ◆ width() [1/2]

unsigned ios_base::width | ( |  | ) |
| inlineinherited

Returns
  width

## ◆ width() [2/2]

unsigned ios_base::width | ( | unsigned | n | ) |
| inlineinherited

set width

Parameters

  [in] | n | new width

Returns
  old width

## Member Data Documentation

## ◆ adjustfield

const fmtflags ios_base::adjustfield = left | right | internal
| staticinherited

mask for adjustfield

## ◆ app

const openmode ios_base::app = 0X4
| staticinherited

seek to end before each write

## ◆ ate

const openmode ios_base::ate = 0X8
| staticinherited

open and seek to end immediately after opening

## ◆ badbit

const iostate ios_base::badbit = 0X01
| staticinherited

iostate bad bit for a nonrecoverable error.

## ◆ basefield

const fmtflags ios_base::basefield = dec | hex | oct
| staticinherited

mask for basefield

## ◆ binary

const openmode ios_base::binary = 0X10
| staticinherited

perform input and output in binary mode (as opposed to text mode)

## ◆ boolalpha

const fmtflags ios_base::boolalpha = 0x0100
| staticinherited

use strings true/false for bool

## ◆ dec

const fmtflags ios_base::dec = 0x0008
| staticinherited

base 10 flag

## ◆ eofbit

const iostate ios_base::eofbit = 0x02
| staticinherited

iostate bit for end of file reached

## ◆ failbit

const iostate ios_base::failbit = 0X04
| staticinherited

iostate fail bit for nonfatal error

## ◆ goodbit

const iostate ios_base::goodbit = 0x00
| staticinherited

iostate for no flags

## ◆ hex

const fmtflags ios_base::hex = 0x0010
| staticinherited

base 16 flag

## ◆ in

const openmode ios_base::in = 0X20
| staticinherited

open for input

## ◆ internal

const fmtflags ios_base::internal = 0x0004
| staticinherited

fill between sign/base prefix and number

## ◆ left

const fmtflags ios_base::left = 0x0001
| staticinherited

left adjust fields

## ◆ oct

const fmtflags ios_base::oct = 0x0020
| staticinherited

base 8 flag

## ◆ out

const openmode ios_base::out = 0X40
| staticinherited

open for output

## ◆ right

const fmtflags ios_base::right = 0x0002
| staticinherited

right adjust fields

## ◆ showbase

const fmtflags ios_base::showbase = 0x0200
| staticinherited

use prefix 0X for hex and 0 for oct

## ◆ showpoint

const fmtflags ios_base::showpoint = 0x0400
| staticinherited

always show '.' for floating numbers

## ◆ showpos

const fmtflags ios_base::showpos = 0x0800
| staticinherited

show + sign for nonnegative numbers

## ◆ skipws

const fmtflags ios_base::skipws = 0x1000
| staticinherited

skip initial white space

## ◆ trunc

const openmode ios_base::trunc = 0X80
| staticinherited

truncate an existing stream when opening

## ◆ uppercase

const fmtflags ios_base::uppercase = 0x4000
| staticinherited

use uppercase letters in number representations

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/iostream/ArduinoStream.h